import { PureComponent } from 'react';
export default abstract class CommonMenu<T, S> extends PureComponent<T, S> {
    abstract handleClick(e: React.MouseEvent, index: unknown): void;
    renderCommonMenuItem(component: any, index: any, subPrefix: any, extraProps?: any): import("react").DetailedReactHTMLElement<any, HTMLElement>;
}
